"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var storybook_1 = require("@devexperts/tools/dist/utils/storybook");
var TimeInput_1 = require("./TimeInput");
var Demo_1 = require("../demo/Demo");
var Button_1 = require("../Button/Button");
var add_icon_1 = require("../../icons/add-icon");
var decrease_icon_1 = require("../../icons/decrease-icon");
var small_cross_icon_1 = require("../../icons/small-cross-icon");
var time = {
    hours: 1,
    minutes: 20,
};
var log = storybook_1.action('change');
var TimeInputPage = /** @class */ (function (_super) {
    tslib_1.__extends(TimeInputPage, _super);
    function TimeInputPage() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            value: time,
        };
        _this.onTimeInputChange = function (value) {
            log(value);
            _this.setState({
                value: value,
            });
        };
        _this.onClearClick = function () {
            _this.setState({
                value: null,
            });
        };
        return _this;
    }
    TimeInputPage.prototype.render = function () {
        return (React.createElement(Demo_1.Demo, null,
            React.createElement("input", { type: "time", id: "time" }),
            React.createElement("div", null,
                React.createElement(TimeInput_1.TimeInput, { decrementIcon: React.createElement(decrease_icon_1.DecreaseIcon, null), isDisabled: this.props.isDisabled, incrementIcon: React.createElement(add_icon_1.AddIcon, null), error: this.props.error, clearIcon: React.createElement(small_cross_icon_1.SmallCrossIcon, null), onValueChange: this.onTimeInputChange, value: this.state.value }),
                React.createElement(Button_1.Button, { onClick: this.onClearClick }, "clear"))));
    };
    return TimeInputPage;
}(React.Component));
storybook_1.storiesOf('TimeInput', module)
    .add('default', function () { return React.createElement(TimeInputPage, null); })
    .add('disabled', function () { return React.createElement(TimeInputPage, { isDisabled: true }); })
    .add('invalid', function () { return React.createElement(TimeInputPage, { error: true }); });
//# sourceMappingURL=TimeInput.page.js.map