import { ComponentType, Component } from 'react';
import { RemoteData } from '@devexperts/remote-data-ts';
export declare type TDataStateErrorMainProps<L> = {
    error: L;
};
export declare type TRenderRemoteDataStates<L, FP extends TDataStateErrorMainProps<L>> = {
    DataStateNoData: ComponentType;
    DataStateFailure: ComponentType<FP>;
    DataStatePending: ComponentType;
};
export declare type TRenderRemoteDataMainProps<L, D> = {
    data: RemoteData<L, D>;
    success: (data: D) => JSX.Element;
    noData?: (data: D) => boolean;
};
export declare type TRenderRemoteDataProps<L, D, FP extends TDataStateErrorMainProps<L>> = TRenderRemoteDataStates<L, FP> & TRenderRemoteDataMainProps<L, D>;
export declare class RenderRemoteData<L, D, FP extends TDataStateErrorMainProps<L>> extends Component<TRenderRemoteDataProps<L, D, FP>> {
    render(): JSX.Element;
    private renderPending;
    private renderSuccess;
    private renderFailure;
}
